import { StaticProvider, Type } from "@angular/core";
import { Reflector } from "./reflector";
import { TestedUnitProviderFactory } from "./tested-unit-provider.factory";
import { ParametersStaticProviderFactory } from "./parameters-static-providers.factory";
import { IOptions } from "./types";
import { DepsFactory } from "./deps-factory";
import { InjectionFactory, TypeofInjectionFactory } from "@testdozer/ng-injector-types";
export declare class MoqInjectorProviders implements InjectionFactory {
    private readonly reflector;
    private readonly testedUnitProviderFactory;
    private readonly depsFactory;
    private readonly parametersStaticProviderFactory;
    constructor(reflector: TypeofInjectionFactory<Reflector>, testedUnitProviderFactory: TypeofInjectionFactory<TestedUnitProviderFactory>, depsFactory: TypeofInjectionFactory<DepsFactory>, parametersStaticProviderFactory: TypeofInjectionFactory<ParametersStaticProviderFactory>);
    factory(): <T>(type: Type<T>, options?: IOptions) => StaticProvider[];
}
